Package ru.bitel.bgbilling.modules.assist.common.bean

# Class AssistPaymentRecurring

java.lang.Object
ru.bitel.bgbilling.modules.assist.common.bean.AssistPaymentRecurring

    public class AssistPaymentRecurring
    extends java.lang.Object

Настройки рекуррентных платежей юзеров.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistPaymentRecurring()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `long` | `getBillnumber()` |
  `int` | `getCid()` |
  `java.lang.String` | `getContractComment()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDate()` |
  `int` | `getId()` |
  `int` | `getOrdernumber()` |
  `java.math.BigDecimal` | `getRecurringMaxAmount()` |
  `java.util.Date` | `getRecurringMaxDate()` |
  `java.math.BigDecimal` | `getRecurringMinAmount()` |
  `int` | `getRecurringPeriod()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setBillnumber​(long billnumber)` |
  `void` | `setCid​(int cid)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setId​(int id)` |
  `void` | `setOrdernumber​(int ordernumber)` |
  `void` | `setRecurringMaxAmount​(java.math.BigDecimal recurringMaxAmount)` |
  `void` | `setRecurringMaxDate​(java.util.Date recurringMaxDate)` |
  `void` | `setRecurringMinAmount​(java.math.BigDecimal recurringMinAmount)` |
  `void` | `setRecurringPeriod​(int recurringPeriod)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistPaymentRecurring

    public AssistPaymentRecurring()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### getBillnumber

    public long getBillnumber()

  - ### setBillnumber

    public void setBillnumber​(long billnumber)

  - ### getOrdernumber

    public int getOrdernumber()

  - ### setOrdernumber

    public void setOrdernumber​(int ordernumber)

  - ### getRecurringMinAmount

    public java.math.BigDecimal getRecurringMinAmount()

  - ### setRecurringMinAmount

    public void setRecurringMinAmount​(java.math.BigDecimal recurringMinAmount)

  - ### getRecurringMaxAmount

    public java.math.BigDecimal getRecurringMaxAmount()

  - ### setRecurringMaxAmount

    public void setRecurringMaxAmount​(java.math.BigDecimal recurringMaxAmount)

  - ### getRecurringPeriod

    public int getRecurringPeriod()

  - ### setRecurringPeriod

    public void setRecurringPeriod​(int recurringPeriod)

  - ### getRecurringMaxDate

    public java.util.Date getRecurringMaxDate()

  - ### setRecurringMaxDate

    public void setRecurringMaxDate​(java.util.Date recurringMaxDate)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)